/***************************************************************************
 *   Copyright (C) 2006 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef DISASSEMBLER_H
#define DISASSEMBLER_H

#include <qstring.h>
namespace Pic { class Memory; }

namespace GPUtils
{
extern QString toDeviceName(const QString &device);
extern QString generateDeviceConfig(const Pic::Memory &memory, bool &ok);
extern QString disassemble(const Pic::Memory &memory);
}

#endif
